Schedule Form Export
Schedule form submission export as CSV
POST
/
forms
/
schedule-form-export
Schedule Form Export
curl --request POST \
--url https://services.leadconnectorhq.com/forms/schedule-form-export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"formIds": [
"id1",
"id2",
"id3"
],
"startDate": "2023-01-01T00:00:00.000Z",
"endDate": "2023-01-31T23:59:59.999Z",
"locationId": "location1",
"companyId": "company1",
"type": "form",
"externalOnly": true
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
formIds: ['id1', 'id2', 'id3'],
startDate: '2023-01-01T00:00:00.000Z',
endDate: '2023-01-31T23:59:59.999Z',
locationId: 'location1',
companyId: 'company1',
type: 'form',
externalOnly: true
})
};
fetch('https://services.leadconnectorhq.com/forms/schedule-form-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/schedule-form-export"
payload = {
"formIds": ["id1", "id2", "id3"],
"startDate": "2023-01-01T00:00:00.000Z",
"endDate": "2023-01-31T23:59:59.999Z",
"locationId": "location1",
"companyId": "company1",
"type": "form",
"externalOnly": True
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"successMessage": "The export started and when the download link is ready, it will be sent via email."
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Schedule Form Export
curl --request POST \
--url https://services.leadconnectorhq.com/forms/schedule-form-export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"formIds": [
"id1",
"id2",
"id3"
],
"startDate": "2023-01-01T00:00:00.000Z",
"endDate": "2023-01-31T23:59:59.999Z",
"locationId": "location1",
"companyId": "company1",
"type": "form",
"externalOnly": true
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
formIds: ['id1', 'id2', 'id3'],
startDate: '2023-01-01T00:00:00.000Z',
endDate: '2023-01-31T23:59:59.999Z',
locationId: 'location1',
companyId: 'company1',
type: 'form',
externalOnly: true
})
};
fetch('https://services.leadconnectorhq.com/forms/schedule-form-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/schedule-form-export"
payload = {
"formIds": ["id1", "id2", "id3"],
"startDate": "2023-01-01T00:00:00.000Z",
"endDate": "2023-01-31T23:59:59.999Z",
"locationId": "location1",
"companyId": "company1",
"type": "form",
"externalOnly": True
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"successMessage": "The export started and when the download link is ready, it will be sent via email."
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}